> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Recent Credit News

GET https://api.filesearch.dev/v2/datasets/odyssey/credit-analysis/news/recent

Get recent credit and financial news articles.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/credit-analysis/news/credit-analysis-news-recent

## Request

### Query parameters

- `limit` (integer, optional, default: 10)

## Response

### 200

Successful Response

- `query` (string, required)
- `limit` (integer, optional, default: 10)
- `results` (list of NewsArticle, optional)
- `total` (integer, optional, default: 0)

## Errors

### 500 Internal Server Error

Internal server error

- `error` (string, required) — `INTERNAL_ERROR`.
- `message` (string, required)
- `path` (string, required)

## Types

### NewsArticle

- `news_id` (string, required)
- `title` (string, required)
- `published_date` (string, optional, nullable)
- `snippet` (string, optional, nullable)
- `source` (string, optional, nullable)
- `url` (string, optional, nullable)

## Examples

**Response**

```json
{
  "query": "recent credit financial news",
  "limit": 10,
  "results": [
    {
      "news_id": "1a1cc3717258",
      "title": "Yahoo Finance - Stock Market Live, Quotes, Business ...",
      "published_date": null,
      "snippet": "At Yahoo Finance, you get free stock quotes, up-to-date news, portfolio management resources, international market data, social interaction and mortgage ...",
      "source": "google",
      "url": "https://finance.yahoo.com/"
    },
    {
      "news_id": "04e539e650c8",
      "title": "US: Credit Market",
      "published_date": null,
      "snippet": "More In US: Credit Market. Banks Are Easing Terms for Middle-Market Lending.Read more",
      "source": "google",
      "url": "https://www.cnbc.com/credit-market/"
    }
  ],
  "total": 9
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/credit-analysis/news/recent",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/credit-analysis/news/recent`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```